Получить расширения для браузера

Отдает расширения для браузера

Request

GET

https://corp.browser.yandex.ru/browser/public/api/browser-management/device/{deviceId}/extensions

Path parameters

Name

Description

deviceId

Type: DeviceId

Уникальный идентификатор устройства

Example: ``

DeviceId

Уникальный идентификатор устройства

Type: string

Example: example

Responses

200 OK

OK

Body

application/json
{
  "extensions": [
    {
      "id": "example",
      "extensionId": "example",
      "name": "example",
      "description": "example",
      "appType": "UNKNOWN or ARC or BUILTIN or CROSTINI or EXTENSION or WEB or PLUGINVM or BOREALIS or BRUSCHETTA",
      "installType": "UNKNOWN or ARC or BUILTIN or CROSTINI or EXTENSION or WEB or PLUGINVM or BOREALIS or BRUSCHETTA",
      "fromWebStore": true,
      "enabled": true,
      "version": "example",
      "permissions": "example",
      "hostPermissions": "example",
      "manifestVersion": "example",
      "homepageUrl": "example",
      "userProfile": {
        "id": "example",
        "browserUserProfileId": "example",
        "isActive": true,
        "name": "example"
      }
    }
  ]
}

Name

Description

extensions

Type: DeviceExtensions

Example
[
  {
    "id": "example",
    "extensionId": "example",
    "name": "example",
    "description": "example",
    "appType": "UNKNOWN or ARC or BUILTIN or CROSTINI or EXTENSION or WEB or PLUGINVM or BOREALIS or BRUSCHETTA",
    "installType": "UNKNOWN or ARC or BUILTIN or CROSTINI or EXTENSION or WEB or PLUGINVM or BOREALIS or BRUSCHETTA",
    "fromWebStore": true,
    "enabled": true,
    "version": "example",
    "permissions": "example",
    "hostPermissions": "example",
    "manifestVersion": "example",
    "homepageUrl": "example",
    "userProfile": {
      "id": "example",
      "browserUserProfileId": "example",
      "isActive": true,
      "name": "example"
    }
  }
]

DeviceExtensionAppType

Тип расширения (
TYPE_UNKNOWN TYPE_EXTENSION TYPE_HOSTED_APP TYPE_PACKAGED_APP TYPE_LEGACY_PACKAGED_APP TYPE_THEME TYPE_USER_SCRIPT TYPE_PLATFORM_APP TYPE_LOGIN_SCREEN_EXTENSION TYPE_CHROMEOS_SYSTEM_EXTENSION )

Type: string

Enum: TYPE_UNKNOWN, TYPE_EXTENSION, TYPE_HOSTED_APP, TYPE_PACKAGED_APP, TYPE_LEGACY_PACKAGED_APP, TYPE_THEME, TYPE_USER_SCRIPT, TYPE_PLATFORM_APP, TYPE_LOGIN_SCREEN_EXTENSION, TYPE_CHROMEOS_SYSTEM_EXTENSION

DeviceExtensionInstallType

Тип установки расширения (
TYPE_NORMAL - An extension that is installed by user or installed by default but not component extension.
TYPE_DEVELOPMENT - An extension that is loaded as unpacked extension from chrome extension page or --load-extension command line switch.
TYPE_SIDELOAD - An extension that is loaded from the settings in Window Registry or a preferences JSON file on Mac and Linux.
TYPE_ADMIN - An extension that is loaded from policy settings.
TYPE_OTHER - Chrome component extension and unknown sources.
)

Type: string

Enum: TYPE_NORMAL, TYPE_DEVELOPMENT, TYPE_SIDELOAD, TYPE_ADMIN, TYPE_OTHER

DeviceUserProfile

Объект расширения браузера

Name

Description

browserUserProfileId

Type: string

Уникальный идентификатор профиля внутри браузера

Example: example

id

Type: string

Внутренний уникальный идентификатор

Example: example

isActive

Type: boolean

Активен ли профиль (поле isDetailAvailable)
Только активные профили могут загружать все необходимые данные, неактивные профили загружают только |id| и |name|.

name

Type: string

Название профиля внутри браузера

Example: example

Example
{
  "id": "example",
  "browserUserProfileId": "example",
  "isActive": true,
  "name": "example"
}

DeviceExtension

Объект расширения браузера

Name

Description

hostPermissions

Type: string

json строка с массивом url-разрешений

Example: example

id

Type: string

Внутренний уникальный идентификатор

Example: example

permissions

Type: string

json строка с массивом разрешений

Example: example

userProfile

Type: DeviceUserProfile

Юзер-профиль, которому принадлежит расширение

Объект расширения браузера

Example
{
  "id": "example",
  "browserUserProfileId": "example",
  "isActive": true,
  "name": "example"
}

appType

Type: DeviceExtensionAppType | null

Тип расширения (
TYPE_UNKNOWN TYPE_EXTENSION TYPE_HOSTED_APP TYPE_PACKAGED_APP TYPE_LEGACY_PACKAGED_APP TYPE_THEME TYPE_USER_SCRIPT TYPE_PLATFORM_APP TYPE_LOGIN_SCREEN_EXTENSION TYPE_CHROMEOS_SYSTEM_EXTENSION )

Enum: TYPE_UNKNOWN, TYPE_EXTENSION, TYPE_HOSTED_APP, TYPE_PACKAGED_APP, TYPE_LEGACY_PACKAGED_APP, TYPE_THEME, TYPE_USER_SCRIPT, TYPE_PLATFORM_APP, TYPE_LOGIN_SCREEN_EXTENSION, TYPE_CHROMEOS_SYSTEM_EXTENSION

description

Type: string | null

Описание расширения

Example: example

enabled

Type: boolean | null

Включено ли расширение

extensionId

Type: string | null

Идентификатор расширения

Example: example

fromWebStore

Type: boolean | null

Признак того, что расширение установлено из стора

homepageUrl

Type: string | null

Url расширения из стора

Example: example

installType

Type: DeviceExtensionInstallType | null

Тип установки расширения (
TYPE_NORMAL - An extension that is installed by user or installed by default but not component extension.
TYPE_DEVELOPMENT - An extension that is loaded as unpacked extension from chrome extension page or --load-extension command line switch.
TYPE_SIDELOAD - An extension that is loaded from the settings in Window Registry or a preferences JSON file on Mac and Linux.
TYPE_ADMIN - An extension that is loaded from policy settings.
TYPE_OTHER - Chrome component extension and unknown sources.
)

Enum: TYPE_NORMAL, TYPE_DEVELOPMENT, TYPE_SIDELOAD, TYPE_ADMIN, TYPE_OTHER

manifestVersion

Type: string | null

Версия манифеста

Example: example

name

Type: string | null

Название расширения

Example: example

version

Type: string | null

Версия

Example: example

Example
{
  "id": "example",
  "extensionId": "example",
  "name": "example",
  "description": "example",
  "appType": "UNKNOWN or ARC or BUILTIN or CROSTINI or EXTENSION or WEB or PLUGINVM or BOREALIS or BRUSCHETTA",
  "installType": "UNKNOWN or ARC or BUILTIN or CROSTINI or EXTENSION or WEB or PLUGINVM or BOREALIS or BRUSCHETTA",
  "fromWebStore": true,
  "enabled": true,
  "version": "example",
  "permissions": "example",
  "hostPermissions": "example",
  "manifestVersion": "example",
  "homepageUrl": "example",
  "userProfile": {
    "id": "example",
    "browserUserProfileId": "example",
    "isActive": true,
    "name": "example"
  }
}

DeviceExtensions

Type: DeviceExtension[]

Example
[
  {
    "id": "example",
    "extensionId": "example",
    "name": "example",
    "description": "example",
    "appType": "UNKNOWN or ARC or BUILTIN or CROSTINI or EXTENSION or WEB or PLUGINVM or BOREALIS or BRUSCHETTA",
    "installType": "UNKNOWN or ARC or BUILTIN or CROSTINI or EXTENSION or WEB or PLUGINVM or BOREALIS or BRUSCHETTA",
    "fromWebStore": true,
    "enabled": true,
    "version": "example",
    "permissions": "example",
    "hostPermissions": "example",
    "manifestVersion": "example",
    "homepageUrl": "example",
    "userProfile": {
      "id": "example",
      "browserUserProfileId": "example",
      "isActive": true,
      "name": "example"
    }
  }
]

404 Not Found

Не найден девайс с таким partnerId + deviceId (NO_DEVICE_FOUND)

No longer supported, please use an alternative and newer version.